VPS
Reinstall server OS
post
/vps/reinstall/{vps_id}Wipe and reinstall your server with a fresh operating system. All data will be erased during reinstallation.
Autorización
Authorization
Authorization*string
Bearer YOUR_API_TOKEN con un token de API. También vale la cabecera X-API-Key: YOUR_API_TOKEN.
Parámetros de ruta
vps_id*integer
Rango
1 ≤ valueCuerpo de la petición
application/jsonObligatorio
template_name*string
password?string | null
New password for the reinstalled VPS. Must be at least 8 characters long.
ssh_key_ids?array<integer> | null
List of SSH key IDs (optional)
environments?record<string, string> | null
Environment variables for app templates (e.g. API keys, license keys)
Respuestas
Successful Response
application/json
detail*string
Human-readable confirmation message.